Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.defaults
Class UserQuestionTestCase.CheeseAdapter

    java.lang.Object
      org.picocontainer.adapters.AbstractAdapter
          org.picocontainer.defaults.UserQuestionTestCase.CheeseAdapter

All Implemented Interfaces:
  Serializable, org.picocontainer.ComponentAdapter, org.picocontainer.ComponentMonitorStrategy

Enclosing class:
  UserQuestionTestCase

    public static final class UserQuestionTestCase.CheeseAdapter

extends org.picocontainer.adapters.AbstractAdapter

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.picocontainer.ComponentAdapter
`org.picocontainer.ComponentAdapter.NOTHING`

Constructor Summary
`UserQuestionTestCase.CheeseAdapter(Object componentKey, Class componentImplementation, Map cheeseMap)`

Method Summary
`Object` | `getComponentInstance(org.picocontainer.PicoContainer pico, Type into)`
`String` | `getDescriptor()`
`void` | `verify(org.picocontainer.PicoContainer pico)`

Methods inherited from class org.picocontainer.adapters.AbstractAdapter
`accept, changeMonitor, checkTypeCompatibility, currentMonitor, findAdapterOfType, getComponentImplementation, getComponentInstance, getComponentKey, getDelegate, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserQuestionTestCase.CheeseAdapter

    public UserQuestionTestCase.CheeseAdapter(Object componentKey,
                                              Class componentImplementation,
                                              Map cheeseMap)
                                       throws org.picocontainer.PicoCompositionException

Throws:
  `org.picocontainer.PicoCompositionException`

Method Detail

### getComponentInstance

    public Object getComponentInstance(org.picocontainer.PicoContainer pico,
                                       Type into)
                                throws org.picocontainer.PicoCompositionException

  Throws:
    `org.picocontainer.PicoCompositionException`

### verify

    public void verify(org.picocontainer.PicoContainer pico)

### getDescriptor

    public String getDescriptor()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.